Skip to main content
GET
/
connect
/
v1
/
operators
/
{operatorId}
/
links
List links
curl --request GET \
  --url https://api.voyant.travel/connect/v1/operators/{operatorId}/links \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "ownerOperatorId": "<string>",
      "capabilities": [
        {
          "id": "<string>",
          "linkId": "<string>",
          "capability": "<string>",
          "enabled": true,
          "config": {}
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "partnerOrganizationId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).

Path Parameters

operatorId
string
required

Operator id.

Query Parameters

status
enum<string>
Available options:
active,
paused,
revoked
mode
enum<string>
Available options:
manual,
automatic
direction
enum<string>
Available options:
inbound,
outbound,
bidirectional

Response

200 - application/json

A list of links.

data
object[]
required